#version 330 core

in  vec2 TexCoord;
in vec4 outLightPos;
out vec4 gs_FragColor;

uniform sampler2D LensFlareTexture;
uniform sampler2D DepthTexture;
uniform vec4 Brightness;

void main()
{
 // perform perspective divide
    vec3 projCoords = outLightPos.xyz / outLightPos.w;
   
   // Transform to [0,1] range
    projCoords = projCoords * 0.5 + 0.5;
    
	// Get depth of current fragment from light's perspective
    float currentDepth = projCoords.z;
   
    float CameraDepth = texture(DepthTexture, projCoords.xy).r; 

    if(CameraDepth > currentDepth ||  CameraDepth < 0.0)
        gs_FragColor =  texture(LensFlareTexture, TexCoord);
    else
       discard;   
 
   
}
