#version 330 core
layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BrightColor;
  
in vec3 FragPos;
in vec3 Normal;

uniform vec3 viewPos;
uniform vec3 objectColor;
uniform vec3 lightColor;

void main()
{
	vec3 norm = normalize(Normal);
	vec3 lightDir = normalize(viewPos - FragPos);  
	float t = max(dot(lightDir, norm), 0.0);
	float s = 1-t;

    vec3 result = (objectColor*s + lightColor*t);

	float brightness = dot(result, vec3(0.2126, 0.7152, 0.0722));
    if(brightness > 2.0)
        BrightColor = vec4(result, 1.0);
	else
		BrightColor = vec4(0.0f, 0.0f, 0.0f, 1.0f);
    FragColor = vec4(result, 1.0);

}