#version 420

in layout (location = 0) vec4 position; 
in layout (location = 1) vec3 color;

uniform mat4 view;
uniform mat4 projection;

out vData
{
    vec4 transformedColor;
} v_color;


void main()
{
	vec4 viewPos = view * vec4(position.xyz, 1.0);
	gl_Position = projection * viewPos;
	
	float speed = clamp(position.w, 0.0, 400.0);
	vec3 largeSpeed = vec3(0.4, 0.4, 0.4);
	vec3 smallSpeed = vec3(1.0, 1.0, 1.0);

	vec3 clr = mix(smallSpeed, largeSpeed, vec3(speed/200.0, speed/200.0, speed/200.0));
	
	v_color.transformedColor = vec4(253.0f, 253.0f, 253.0f, 234.0f);
}